## org.eclipse.datatools.sqltools.sqlbuilder
Class SQLBuilderPlugin

    java.lang.Object
      org.eclipse.core.runtime.Plugin
          org.eclipse.ui.plugin.AbstractUIPlugin
              org.eclipse.datatools.sqltools.sqlbuilder.SQLBuilderPlugin

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class SQLBuilderPlugin

extends org.eclipse.ui.plugin.AbstractUIPlugin

The plugin class for the SQL Builder.

Field Summary
`static org.eclipse.core.runtime.IPath` `IMAGES_PATH`
`static java.lang.String` `SQL_PARTITIONING`

Fields inherited from class org.eclipse.core.runtime.Plugin
`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`SQLBuilderPlugin()` Constructs an instance of this class.

Method Summary
`static SQLQueryModelItemProviderAdapterFactory` `getAdapterFactory()` Returns the adapter factory for the SQL Query model.
`org.eclipse.swt.graphics.Image` `getImage(java.lang.String iconName)` Returns an image (icon) with the given name.
`org.eclipse.jface.resource.ImageDescriptor` `getImageDescriptor(java.lang.String key)` Returns a .gif from the images folder with the given key.
`java.net.URL` `getInstallURL()`
`SQLLogUtil` `getLogger()` Returns the single logger object for this plugin.
`static SQLBuilderPlugin` `getPlugin()` Returns the single instance of the SQLBuilder plugin.
`SQLSchemaPackage` `getRDBSchemaPackage()` Returns the SQL Model schema package object.
`java.util.ResourceBundle` `getResourceBundle()` Returns the resource bundle for this plugin.
`static org.eclipse.swt.graphics.Image` `getSQLImage(java.lang.String iconName)` Returns the Image for a given file name
`SQLQueryModelFactory` `getSQLQueryFactory()` Returns the SQL Query model factory instance
`SQLQueryModelPackage` `getSQLQueryModelPackage()` Returns the SQL Query model package object.

Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin
`getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, imageDescriptorFromPlugin, shutdown, start, startup, stop`

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SQL_PARTITIONING

    public static final java.lang.String SQL_PARTITIONING

See Also:
  Constant Field Values

### IMAGES_PATH

    public static final org.eclipse.core.runtime.IPath IMAGES_PATH

Constructor Detail

### SQLBuilderPlugin

    public SQLBuilderPlugin()

  Constructs an instance of this class. This is the default constructor.

Method Detail

### getResourceBundle

    public java.util.ResourceBundle getResourceBundle()

  Returns the resource bundle for this plugin.

  Returns:
    the resource bundle

### getSQLQueryModelPackage

    public SQLQueryModelPackage getSQLQueryModelPackage()

  Returns the SQL Query model package object.

  Returns:
    The SQL Query model package

### getRDBSchemaPackage

    public SQLSchemaPackage getRDBSchemaPackage()

  Returns the SQL Model schema package object.

  Returns:
    the SQL Model schema package

### getSQLQueryFactory

    public SQLQueryModelFactory getSQLQueryFactory()

  Returns the SQL Query model factory instance

  Returns:
    the SQL Query model factory

### getPlugin

    public static SQLBuilderPlugin getPlugin()

  Returns the single instance of the SQLBuilder plugin.

  Returns:
    the plugin instance

### getSQLImage

    public static org.eclipse.swt.graphics.Image getSQLImage(java.lang.String iconName)

  Returns the Image for a given file name

  Parameters:
    `iconName` - - the icon for which the image is to be obtained
  Returns:
    the Image instance corrospnding to the icon

### getAdapterFactory

    public static SQLQueryModelItemProviderAdapterFactory getAdapterFactory()

  Returns the adapter factory for the SQL Query model.

  Returns:
    the adapter factory

### getImage

    public org.eclipse.swt.graphics.Image getImage(java.lang.String iconName)

  Returns an image (icon) with the given name.

  Parameters:
    `iconName` - the name of the image to get
  Returns:
    the image

### getInstallURL

    public java.net.URL getInstallURL()

### getImageDescriptor

    public org.eclipse.jface.resource.ImageDescriptor getImageDescriptor(java.lang.String key)

  Returns a .gif from the images folder with the given key.

  Parameters:
    `the` - key (name) of the image to get

### getLogger

    public SQLLogUtil getLogger()

  Returns the single logger object for this plugin.

  Returns:
    the logger object